# teyokuma's 3D Item Models

<img src="https://github.com/user-attachments/assets/9528d2d7-49f3-4adb-9d5d-13a91917146f" width="1024">

***3D models for 2D sprite items!***

## **❔ About**

teyokuma's 3D Item Models is a resource pack for Minecraft: Java Edition. It is intended to add 3D models to 2D sprite items and to make items with all unique models consistent. Models and textures are not added or changed and can be used in conjunction with other resource packs. It also supports multiple mods.

## **📸 Example**

Here is an example of how the item model is changed.

<img src="https://github.com/user-attachments/assets/04386540-6639-4dad-a839-62fbf4ff8a0b" width="512">

## **⚙️ Add-On**

Additional packs are available for those who find certain features unnecessary.

<a href="https://github.com/teyokuma/3D-Item-Models-Addon-Disable-Flat"><img src="https://github.com/user-attachments/assets/80b6248d-f96b-41e8-a875-0039eb537686" width="128"></a> <a href="https://github.com/teyokuma/3D-Item-Models-Addon-Disable-Armor"><img src="https://github.com/user-attachments/assets/6c15f271-da08-4ce0-94c2-1eb0b7f78601" width="128"></a>

- [Disable Flat](https://github.com/teyokuma/3D-Item-Models-Addon-Disable-Flat)

  - This pack disables flat models such as grass, flowers, ladder and vine and reverts to the default display.
- [Disable Armor](https://github.com/teyokuma/3D-Item-Models-Addon-Disable-Armor)

  - This pack disables the models of armor, elytra, and other equipment and reverts to the default display.

## **🛠️ Installation**

*Mods such as **Optifine**, **CIT**, etc. are **not required**.*

- Download the resourcepack
- Put the resource pack in `.minecraft/resourcepack`
- Launch Minecraft
- Open Options, Resource Packs…
- Select and activate `3D-Item-Models-v**`

## **🧩 Mod compatibility**

It may not be fully supported. More mods will be supported in the future.

*Most mod compatible support was provided by **@willowisp2002**. Thank you very much!*

- [Ad Astra](https://modrinth.com/mod/ad-astra)
- [Architect&#39;s Palette](https://modrinth.com/mod/architects-palette)
- [Biomes O&#39; Plenty](https://modrinth.com/mod/biomes-o-plenty)
- [Boatload](https://modrinth.com/mod/boatload)
- [Bountiful Fares](https://modrinth.com/mod/bountiful-fares)
- [Chimes](https://www.curseforge.com/minecraft/mc-mods/chimes)
- [Comforts](https://modrinth.com/mod/comforts/)
- [Create](https://modrinth.com/mod/create)
- [Create Crafts &amp; Additions](https://modrinth.com/mod/createaddition)
- [Deeper and Darker](https://modrinth.com/mod/deeperdarker)
- [MmmMmmMmmMmm](https://modrinth.com/mod/mmmmmmmmmmmm)
- [&#39;Dustrial Decor](https://www.curseforge.com/minecraft/mc-mods/dustrial-decor)
- [Farmer&#39;s Delight](https://modrinth.com/mod/farmers-delight)
- [Immersive Weathering](https://modrinth.com/mod/immersive-weathering)
- [Quark](https://modrinth.com/mod/quark)
- [Create: Steam &#39;n&#39; Rails](https://modrinth.com/mod/create-steam-n-rails) *(incomplete)*
- [Realistic Torches](https://modrinth.com/mod/realistic-torches)
- [Supplementaries](https://modrinth.com/mod/supplementaries)
- [Supplementaries Squared](https://modrinth.com/mod/supplementaries-squared)
- [Twigs](https://modrinth.com/mod/twigs)
- [Upgrade Aquatic](https://modrinth.com/mod/upgrade-aquatic)
- [Vertical Slabs Compat](https://modrinth.com/mod/vertical-slabs-compat)
- [Wilder Wild](https://modrinth.com/mod/wilder-wild)

### Future compatibility plans

- Blue Skies
- Nature's Spirit
- The Twilight Forest
- Trailier Tales

## **🌟 Download**

### [Planet Minecraft](https://www.planetminecraft.com/texture-pack/the-3d-item-models/) | [CurseForge](https://www.curseforge.com/minecraft/texture-packs/teyokuma-3d-item-models) | [Modrinth](https://modrinth.com/project/3d-item-models) | [GitHub](https://github.com/teyokuma/3D-Item-Models)
