# Changelog

<img src="https://github.com/user-attachments/assets/9528d2d7-49f3-4adb-9d5d-13a91917146f" width="1024">

***3D models for 2D sprite items!***

## **[2.0] - 2024-10-07**

This update includes support for mod compatibility, the addition of packs that can disable some features, and fixes for issues such as models not displaying correctly in some versions.

### **First mod compatibility**

*Most mod compatible support was provided by **@willowisp2002**. Thank you very much!*

- [Ad Astra](https://modrinth.com/mod/ad-astra)
- [Architect&#39;s Palette](https://modrinth.com/mod/architects-palette)
- [Biomes O&#39; Plenty](https://modrinth.com/mod/biomes-o-plenty)
- [Boatload](https://modrinth.com/mod/boatload)
- [Bountiful Fares](https://modrinth.com/mod/bountiful-fares)
- [Chimes](https://www.curseforge.com/minecraft/mc-mods/chimes)
- [Comforts](https://modrinth.com/mod/comforts/)
- [Create](https://modrinth.com/mod/create)
- [Create Crafts &amp; Additions](https://modrinth.com/mod/createaddition)
- [Deeper and Darker](https://modrinth.com/mod/deeperdarker)
- [MmmMmmMmmMmm](https://modrinth.com/mod/mmmmmmmmmmmm)
- [&#39;Dustrial Decor](https://www.curseforge.com/minecraft/mc-mods/dustrial-decor)
- [Farmer&#39;s Delight](https://modrinth.com/mod/farmers-delight)
- [Immersive Weathering](https://modrinth.com/mod/immersive-weathering)
- [Quark](https://modrinth.com/mod/quark)
- [Create: Steam &#39;n&#39; Rails](https://modrinth.com/mod/create-steam-n-rails) *(incomplete)*
- [Realistic Torches](https://modrinth.com/mod/realistic-torches)
- [Supplementaries](https://modrinth.com/mod/supplementaries)
- [Supplementaries Squared](https://modrinth.com/mod/supplementaries-squared)
- [Twigs](https://modrinth.com/mod/twigs)
- [Upgrade Aquatic](https://modrinth.com/mod/upgrade-aquatic)
- [Vertical Slabs Compat](https://modrinth.com/mod/vertical-slabs-compat)
- [Wilder Wild](https://modrinth.com/mod/wilder-wild)

### **Added item models**

- Added item models to be added in version 1.22
  - pale_hanging_moss
  - pale_oak_boat
  - pale_oak_chest_boat
  - pale_oak_door
  - pale_oak_hanging_sign
  - pale_poak_sapling
  - pale_oak_sign

### **Updated item models**

- Updated model display

  - lantern
  - soul_lantern
  - torch
  - redstone_torch
  - soul_torch
  - ladder
  - item_frame
  - glow_item_frame
  - turtle_egg
  - vine
  - minecart
  - hopper_minecart
  - chest_minecart
  - furnace_minecart
  - tnt_minecart
  - iron_bars
  - short_grass
  - fern
  - glow_lichen
  - cake
  - white_banner
  - orange_banner
  - magenta_banner
  - light_blue_banner
  - yellow_banner
  - lime_banner
  - pink_banner
  - gray_banner
  - light_gray_banner
  - cyan_banner
  - purple_banner
  - blue_banner
  - brown_banner
  - green_banner
  - red_banner
  - black_banner
  - white_bed
  - orange_bed
  - magenta_bed
  - light_blue_bed
  - yellow_bed
  - lime_bed
  - pink_bed
  - gray_bed
  - light_gray_bed
  - cyan_bed
  - purple_bed
  - blue_bed
  - brown_bed
  - green_bed
  - red_bed
  - black_bed
- Fixed to reference to the parent model of the block

  - skeleton_skull
  - wither_skeleton_skull
  - player_head
  - zombie_head
  - creeper_head
  - piglin_head
  - dragon_head
  - glow_lichen
  - cake

### 23w31a ~

- Fixed problem with models not displaying properly in older versions
  - bamboo_fence_gate

### 1.20.3-pre1 ~

- Moved to overlay directory
  - short_grass

### 24w33a ~

- Item models have been modified based on the update
  - redstone_torch

### 24w36a ~

- Fixes texture reference directories
  - leather_helmet
  - leather_chestplate
  - leather_leggings
  - leather_boots
  - chainmail_helmet
  - chainmail_chestplate
  - chainmail_leggings
  - chainmail_boots
  - iron_helmet
  - iron_chestplate
  - iron_leggings
  - iron_boots
  - golden_helmet
  - golden_chestplate
  - golden_leggings
  - golden_boots
  - diamond_helmet
  - diamond_chestplate
  - diamond_leggings
  - diamond_boots
  - netherite_helmet
  - netherite_chestplate
  - netherite_leggings
  - netherite_boots
  - turtle_helmet
  - leather_horse_armor
  - iron_horse_armor
  - golden_horse_armor
  - diamond_horse_armor
  - elytra

### **Technical changes**

- pack.mcmeta

  - Updated to use overlay directories to support multiple versions
  - Changed pack_format to 15 (1.20 or later) because some models are not displayed correctly
- pack.png

  - Changed contrast

## **[1.8.1] - 2024-06-15**

- Update pack.mcmeta

## **[1.8.0] - 2024-05-21**

- Update pack.png
- Update pack.mcmeta

### **Added item models**

- Added item models to be added in version 1.21
  - crafter
  - heavy_core
  - weathered_copper_door
  - oxidized_copper_door
  - exposed_copper_door
  - copper_door
  - wolf_armor

### **Updated item models**

- Models with textures on both front and back sides are now correctly displayed

  - horse_armor
  - saddle
  - elytra
  - shulker_shell
  - end_crystal
  - leggings
  - helmet
  - chestplate
  - boots
- Fixed to reference to the parent model of the block

  - torch
  - lantern
  - candle
  - repeater
  - comparator
  - lever
  - conduit
  - button
  - tripwire_hook
  - glass_pane
  - item_frame
  - campfire
  - smoker
  - painting
  - furnace
  - flower_pot
  - ender_chest
  - dropper
  - dispenser
  - decorated_pot
  - crafting_table
  - conduit
  - chest
  - blast_furnace
  - stairs
- Corrected file names based on updates

  - short_grass

## **[1.7.0] - 2023-06-07**

- Added Pitcher Plant
- Added Sniffer Egg
- Fixed All blocks
- Fixed Inner faces items
- Fixed Helmets
- Fixed Chestplates
- Fixed Leggings
- Fixed Boots
- Fixed Decorated Pot
- Fixed Hopper ([MC-203399](https://bugs.mojang.com/browse/MC-203399))
- Fixed Buttons ([MC-249514](https://bugs.mojang.com/browse/MC-249514))
- Fixed Glass Panes
- Fixed Cherry Trapdoor
- Fixed Sculk Sensor
- Updated pack.png
- Updated pack.mcmeta

## **[1.6.2] - 2023-02-22**

- Added Cherry Door
- Added Cherry Sign
- Added Cherry Hanging Sign
- Added Cherry Fence
- Added Cherry Boat
- Added Cherry Raft
- Added Cherry Raft with Chest
- Added Cherry Button
- Added Cherry Sapling
- Added Pink Petals
- Added Torchflower
- Fixed Banners
- Fixed Chests
- Fixed Stairs
- Fixed Painting
- Fixed Cherry Fence Gate
- Fixed Decorated Pot
- Fixed pack.mcmeta

## **[1.6.1] / [1.6.1.1] - 2023-02-01**

- Added Leather Armor Trims
- Fixed Magenta Candle
- Fixed Minecarts
- Fixed Banners
- Fixed Boots
- Separate packs for 1.19.4 and later to address issues related to Atlases files
- Unnecessary files deleted
- Trim texture in same material as Armor

## **[1.6.0] - 2023-01-25**

- Added Leather Cap
- Added Leather Tunic
- Added Leather Pants
- Added Leather Boots
- Added Leather Horse Armor
- Added Armor Trims
- Fixed Bamboo Fence Gate
- Fixed Elytra
- Fixed Iron Bars
- Fixed Brewing Stand
- Fixed Armor Stand
- Fixed Shulker Shell
- Fixed Doors
- Fixed Glass Panes
- Fixed Chests
- Fixed Armors
- Updated pack.png
- Updated pack.mcmeta
- Fixed Atlases files

## **[1.5.0] - 2022-12-07**

- Added Bamboo Door
- Added Bamboo Sign
- Added Bamboo Hanging Sign
- Added Bamboo Fence
- Added Bamboo Raft
- Added Bamboo Raft with Chest
- Added Oak Hanging Sign
- Added Spruce Hanging Sign
- Added Birch Hanging Sign
- Added Jungle Hanging Sign
- Added Acacia Hanging Sign
- Added Dark Oak Hanging Sign
- Added Mangrove Hanging Sign
- Added Crimson Hanging Sign
- Added Warped Hanging Sign
- Added Atlases files
- Fixed Boats
- Fixed Boat with Chests
- Fixed Jigsaw Block
- Fixed Brewing Stand
- Fixed Piglin Head
- Fixed Saddle
- Fixed Armors
- Fixed Torches
- Updated pack.mcmeta
- Removed Unused files

## **[1.5.0b2] - 2022-11-17**

- Fixed Jigsaw Block
- Fixed Brewing Stand
- Fixed Piglin Head
- Fixed Boats
- Fixed Boat with Chests
- Updated pack.mcmeta

## **[1.4.0] / [1.5.0b1] - 2022-11-03**

- Added build-in textures (Custom textures disabled)
- *Starting with Snapshot 22w42a, this change was made because textures for custom model models can no longer be loaded from sources other than textures/block and textures/item*
- Fixed Doors
- Fixed Anvils
- Fixed Command Blocks
- Fixed Fence Gates
- Fixed Trap Doors
- Fixed Minecarts
- Fixed Heads/Skulls
- Fixed Dripleafs
- Fixed Banners
- Fixed Cake
- Fixed Enchanting Table
- Fixed Spyglass
- Fixed Conduit
- Fixed Cross Blocks (Grass,Cobwebs,etc..)
- Fixed Seagrass
- Fixed Coral Fans
- Fixed Boats
- Fixed Boat with Chests
- Updated pack.png
- Updated pack.mcmeta

## **[1.3.0] -2022-06-07**

- Added Horse Armors except Leather Horse Armor (experimental)
- Added Mangrove Propagule
- Added Mangrove Sign
- Added Mangrove Door
- Added Mangrove Trapdoor
- Added Boat with Chests
- Added Bamboo
- Added Spyglass
- Fixed All blocks
- Fixed Sculk Vein
- Fixed Glow Lichen
- Fixed Stairs
- Fixed Fences
- Fixed Walls
- Fixed Minecart with Chest
- Fixed Minecart with Furnace
- Fixed Stairs
- Fixed Boats
- Fixed Saddle
- Fixed Helmets
- Fixed Elytra

## **[1.2.1] -2022-02-23**

- Added Sculk Vein
- Fixed Enchanting Table
- Fixed Lectern
- Fixed Model UVs

## **[1.2] -2021-12-22**

- Added Enchanting Table
- Fixed Torches
- Fixed Doors
- Fixed Sign
- Fixed Fences
- Fixed Walls
- Fixed Buttons
- Removed Painting
- Update pack.png

## **[1.1] - 2021-07-26**

- Fixed Boats
- Fixed Lanterns
- Fixed Lever
- Fixed Tripwire Hook
- Fixed Turtle Egg
- Update pack.png

## **[1.0] - 2021-07-24**

- Released
